---
- name: Converge
  hosts: molecule-toolchain
  tasks:
    - name: Import Variables via Tasks
      include_tasks:
        file: ../../../../import_vars.yml

    - name: Set facts_dir
      set_fact:
        facts_dir: "~/xand/ansible/facts.d"

    - block:
      - name: Create test double aks facts file
        vars:
          aks_test_double_facts:
            resource_group: "old-resource-group"
            storage_account: "old-storage-account"
            storage_container: "old-storage-container"
            region: "old-region"
            cluster_name: "old-clustername"
        copy:
          content: "{{ aks_test_double_facts }}"
          dest: "{{ (facts_dir, 'aks.fact') | path_join }}"

      - name: "Include redeploy-warning role"
        vars:
          cloud_provider: "azure"
          aks:
            resource_group: "resource-group1"
            storage_account: "storage-account1"
            storage_container: "storage-container1"
            region: "region1"
            cluster_name: "clustername1"
        include_role:
          name: "cluster-creation"
          tasks_from: redeploy_check.yml

      - name: "Check execution halted"
        fail:
          msg: "Execution should stop before this task"
        register: should_not_run

      rescue:
        - name: Role should have errored out and not executed last task
          assert:
            that:
              - should_not_run is not defined
